## nomad 0.10.5+dfsg1

=== website/Makefile ===
VERSION?="0.3.41"

build:
	@echo "==> Starting build in Docker..."
	@docker run \
		--interactive \
		--rm \
		--tty \
		--volume "$(shell pwd):/website" \
		-e "ENV=production" \
		hashicorp/middleman-hashicorp:${VERSION} \
		bundle exec middleman build --verbose --clean

website:
	@echo "==> Starting website in Docker..."
	@docker run \
		--interactive \
		--rm \
		--tty \
		--publish "4567:4567" \
		--publish "35729:35729" \
		--volume "$(shell pwd):/website" \
		hashicorp/middleman-hashicorp:${VERSION}

test:
	@echo "==> Running website tests..."
	./scripts/test.sh ${VERSION}

.PHONY: build website

=== vendor/github.com/hashicorp/consul-template/Makefile ===
# Metadata about this makefile and position
MKFILE_PATH := $(lastword $(MAKEFILE_LIST))
CURRENT_DIR := $(patsubst %/,%,$(dir $(realpath $(MKFILE_PATH))))

# Ensure GOPATH
GOPATH ?= $(shell go env GOPATH)
# assume last entry in GOPATH is home to project
GOPATH := $(lastword $(subst :, ,${GOPATH}))

# Tags specific for building
GOTAGS ?=

# Number of procs to use
GOMAXPROCS ?= 4

# Get the project metadata
GO_DOCKER_VERSION ?= 1.13
PROJECT := $(shell go list -m -mod=vendor)
OWNER := "hashicorp"
NAME := $(notdir $(PROJECT))
GIT_COMMIT ?= $(shell git rev-parse --short HEAD || echo release)
VERSION := $(shell awk -F\" '/Version/ { print $$2; exit }' "${CURRENT_DIR}/version/version.go")

# Current system information
GOOS ?= $(shell go env GOOS)
GOARCH ?= $(shell go env GOARCH)

# Default os-arch combination to build
XC_OS ?= darwin freebsd linux netbsd openbsd solaris windows
XC_ARCH ?= 386 amd64 arm arm64
# XC_EXCLUDE "arm64" entries excludes both arm and arm64
XC_EXCLUDE ?= darwin/arm64 freebsd/arm64 netbsd/arm64 openbsd/arm64 solaris/386 solaris/arm64 windows/arm64

# GPG Signing key (blank by default, means no GPG signing)
GPG_KEY ?=

# List of ldflags
LD_FLAGS ?= \
	-s \
	-w \
	-X ${PROJECT}/version.Name=${NAME} \
	-X ${PROJECT}/version.GitCommit=${GIT_COMMIT}

# List of Docker targets to build
DOCKER_TARGETS ?= alpine light scratch

# Create a cross-compile target for every os-arch pairing. This will generate
# a make target for each os/arch like "make linux/amd64" as well as generate a
# meta target (build) for compiling everything.
define make-xc-target
  $1/$2:
  ifneq (,$(findstring ${1}/${2},$(XC_EXCLUDE)))
		@printf "%s%20s %s\n" "-->" "${1}/${2}:" "${PROJECT} (excluded)"
  else
		@printf "%s%20s %s\n" "-->" "${1}/${2}:" "${PROJECT}"
		case "$2" in \
			arm) export CGO_ENABLED="1" ; \
				  export GOARM=5 \
				  export CC="arm-linux-gnueabi-gcc" ;; \
			arm64) export CGO_ENABLED="1" ; \
				  export CC="aarch64-linux-gnu-gcc" ;; \
			*) export CGO_ENABLED="0" ;; \
		esac ; \
		env \
			GOOS="${1}" \
			GOARCH="${2}" \
			go build \
				-a \
				-o="pkg/${1}_${2}/${NAME}${3}" \
				-ldflags "${LD_FLAGS}" \
				-tags "${GOTAGS}"
  endif
  .PHONY: $1/$2

  $1:: $1/$2
  .PHONY: $1

  build:: $1/$2
  .PHONY: build
endef
$(foreach goarch,$(XC_ARCH),$(foreach goos,$(XC_OS),$(eval $(call make-xc-target,$(goos),$(goarch),$(if $(findstring windows,$(goos)),.exe,)))))

# Use docker to create pristine builds for release
# First build image w/ arm build requirements, then build all binaries
pristine:
	@docker build \
		--rm \
		--force-rm \
		--no-cache \
		--compress \
		--file="docker/pristine/Dockerfile" \
		--build-arg="GOVERSION=${GO_DOCKER_VERSION}" \
		--tag="pristine-builder" .
	@docker run \
		--interactive \
		--user $$(id -u):$$(id -g) \
		--rm \
		--dns="8.8.8.8" \
		--volume="${CURRENT_DIR}:/go/src/${PROJECT}" \
		--volume="${GOPATH}/pkg/mod:/go/pkg/mod" \
		--workdir="/go/src/${PROJECT}" \
		--env=GO111MODULE=on \
		"pristine-builder" \
		env GOCACHE=/tmp make -j4 build

# dev builds and installs the project locally.
dev:
	@echo "==> Installing ${NAME} for ${GOOS}/${GOARCH}"
	@rm -f "${GOPATH}/pkg/${GOOS}_${GOARCH}/${PROJECT}/version.a" # ldflags change and go doesn't detect
	@env \
		CGO_ENABLED="0" \
		go install \
			-ldflags "${LD_FLAGS}" \
			-tags "${GOTAGS}"
.PHONY: dev

# dist builds the binaries and then signs and packages them for distribution
dist:
	@$(MAKE) -f "${MKFILE_PATH}" _cleanup
	@$(MAKE) -f "${MKFILE_PATH}" pristine
	@$(MAKE) -f "${MKFILE_PATH}" _compress _checksum
.PHONY: dist

release: dist
ifndef GPG_KEY
	@echo "==> ERROR: No GPG key specified! Without a GPG key, this release cannot"
	@echo "           be signed. Set the environment variable GPG_KEY to the ID of"
	@echo "           the GPG key to continue."
	@exit 127
else
	@$(MAKE) -f "${MKFILE_PATH}" _sign
endif
.PHONY: release

# Create a docker compile and push target for each container. This will create
# docker-build/scratch, docker-push/scratch, etc. It will also create two meta
# targets: docker-build and docker-push, which will build and push all
# configured Docker containers. Each container must have a folder in docker/
# named after itself with a Dockerfile (docker/alpine/Dockerfile).
define make-docker-target
  docker-build/$1:
		@echo "==> Building ${1} Docker container for ${PROJECT}"
		@go mod vendor
		@docker build \
			--rm \
			--force-rm \
			--no-cache \
			--compress \
			--file="docker/${1}/Dockerfile" \
			--build-arg="LD_FLAGS=${LD_FLAGS}" \
			--build-arg="GOTAGS=${GOTAGS}" \
			--build-arg="GOVERSION=${GO_DOCKER_VERSION}" \
			$(if $(filter $1,scratch),--tag="${OWNER}/${NAME}",) \
			--tag="${OWNER}/${NAME}:${1}" \
			--tag="${OWNER}/${NAME}:${VERSION}-${1}" \
			"${CURRENT_DIR}"
		@rm -rf "${CURRENT_DIR}/vendor/"
  .PHONY: docker-build/$1

  docker-build:: docker-build/$1
  .PHONY: docker-build

  docker-push/$1:
		@echo "==> Pushing ${1} to Docker registry"
		$(if $(filter $1,scratch),@docker push "${OWNER}/${NAME}",)
		@docker push "${OWNER}/${NAME}:${1}"
		@docker push "${OWNER}/${NAME}:${VERSION}-${1}"
  .PHONY: docker-push/$1

  docker-push:: docker-push/$1
  .PHONY: docker-push
endef
$(foreach target,$(DOCKER_TARGETS),$(eval $(call make-docker-target,$(target))))

# test runs the test suite.
test:
	@echo "==> Testing ${NAME}"
	@go test -count=1 -timeout=30s -parallel=20 -failfast -tags="${GOTAGS}" ./... ${TESTARGS}
.PHONY: test

# test-race runs the test suite.
test-race:
	@echo "==> Testing ${NAME} (race)"
	@go test -timeout=60s -race -tags="${GOTAGS}" ./... ${TESTARGS}
.PHONY: test-race

# _cleanup removes any previous binaries
_cleanup:
	@rm -rf "${CURRENT_DIR}/pkg/"
	@rm -rf "${CURRENT_DIR}/bin/"
.PHONY: _cleanup

clean: _cleanup
.PHONY: clean

# _compress compresses all the binaries in pkg/* as tarball and zip.
_compress:
	@mkdir -p "${CURRENT_DIR}/pkg/dist"
	@for platform in $$(find ./pkg -mindepth 1 -maxdepth 1 -type d); do \
		osarch=$$(basename "$$platform"); \
		if [ "$$osarch" = "dist" ]; then \
			continue; \
		fi; \
		\
		ext=""; \
		if test -z "$${osarch##*windows*}"; then \
			ext=".exe"; \
		fi; \
		cd "$$platform"; \
		tar -czf "${CURRENT_DIR}/pkg/dist/${NAME}_${VERSION}_$${osarch}.tgz" "${NAME}$${ext}"; \
		zip -q "${CURRENT_DIR}/pkg/dist/${NAME}_${VERSION}_$${osarch}.zip" "${NAME}$${ext}"; \
		cd - >/dev/null; \
	done
.PHONY: _compress

# _checksum produces the checksums for the binaries in pkg/dist
_checksum:
	@cd "${CURRENT_DIR}/pkg/dist" && \
		shasum --algorithm 256 * > ${CURRENT_DIR}/pkg/dist/${NAME}_${VERSION}_SHA256SUMS && \
		cd - >/dev/null
.PHONY: _checksum

# _sign signs the binaries using the given GPG_KEY. This should not be called
# as a separate function.
_sign:
	@echo "==> Signing ${PROJECT} at v${VERSION}"
	@gpg \
		--default-key "${GPG_KEY}" \
		--detach-sig "${CURRENT_DIR}/pkg/dist/${NAME}_${VERSION}_SHA256SUMS"
	@git commit \
		--allow-empty \
		--gpg-sign="${GPG_KEY}" \
		--message "Release v${VERSION}" \
		--quiet \
		--signoff
	@git tag \
		--annotate \
		--create-reflog \
		--local-user "${GPG_KEY}" \
		--message "Version ${VERSION}" \
		--sign \
		"v${VERSION}" master
	@echo "--> Do not forget to run:"
	@echo ""
	@echo "    git push && git push --tags"
	@echo ""
	@echo "And then upload the binaries in dist/!"
.PHONY: _sign

# Add/Update the "Table Of Contents" in the README.md
toc:
	@./scripts/readme-toc.sh
.PHONY: toc

=== debian/changelog ===
nomad (0.10.5+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 23 Aug 2020 02:04:56 +0800

nomad (0.10.5+dfsg1-2) experimental; urgency=medium

  * Team upload.
  * Add patch for runc 1.0.0~rc92

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 19 Aug 2020 03:40:51 +0800

nomad (0.10.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Disabled "TestLeader_LeftServer" due to spurious failure on armel.
  * service: start after local-fs.target.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 26 Mar 2020 21:03:15 +1100

nomad (0.10.4+dfsg1-3) unstable; urgency=medium

  * Disabled "TestNomad_BadExpect".
  * Disabled "TestServer_ReconcileMember".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 26 Feb 2020 17:28:17 +1100

nomad (0.10.4+dfsg1-2) unstable; urgency=medium

  * Disabled spontaneously failing tests.
  * Longer test timeout.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 26 Feb 2020 16:29:21 +1100

nomad (0.10.4+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * New upstream patches to build with Consul 1.7+.
  * Fixed build tags and exclusions:
    + tests to use the same tags
    + new tests exclusions
    + tags += "nonvidia"
  * dev: included "command" component as required by "nomad-driver-podman".
  * Standards-Version: 4.5.0.
  * (Build-)Depends:
    = golang-github-hashicorp-consul-dev (>= 1.7.0~)

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 21 Feb 2020 10:41:42 +1100

=== debian/control ===
Source: nomad
Section: devel
Priority: optional
Standards-Version: 4.5.0
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 12) ,bash-completion ,dh-golang (>= 1.42~) ,golang-any (>= 2:1.11~)
    ,golang-dbus-dev | golang-github-godbus-dbus-dev
    ,golang-ginkgo-dev
    ,golang-github-agext-levenshtein-dev
    ,golang-github-apparentlymart-go-textseg-dev
    ,golang-github-appc-cni-dev (>= 0.7.1~)
    ,golang-github-appc-spec-dev
    ,golang-github-armon-circbuf-dev
    ,golang-github-armon-go-metrics-dev (>= 0.0~git20190430~)
    ,golang-github-armon-go-radix-dev
#   ,golang-github-azure-azure-sdk-for-go-dev
    ,golang-github-azure-go-ansiterm-dev
    ,golang-github-beorn7-perks-dev
    ,golang-github-bgentry-go-netrc-dev
    ,golang-github-boltdb-bolt-dev (>= 1.3.1~)
    ,golang-github-burntsushi-toml-dev (>= 0.3.1~)
    ,golang-github-circonus-labs-circonus-gometrics-dev (>= 2.3.1~)
    ,golang-github-circonus-labs-circonusllhist-dev
    ,golang-github-containerd-console-dev
    ,golang-github-containerd-go-cni-dev
    ,golang-github-containernetworking-plugins-dev
    ,golang-github-coreos-go-iptables-dev
    ,golang-github-coreos-go-semver-dev
    ,golang-github-coreos-go-systemd-dev
    ,golang-github-datadog-datadog-go-dev
    ,golang-github-davecgh-go-spew-dev
    ,golang-github-denverdino-aliyungo-dev
    ,golang-github-docker-docker-dev (>= 17.12.1~)
#     ,golang-github-docker-distribution-dev (>= 2.7.1~)
    ,golang-github-docker-go-connections-dev
    ,golang-github-docker-go-units-dev
    ,golang-github-dustin-go-humanize-dev
    ,golang-github-elazarl-go-bindata-assetfs-dev
    ,golang-github-fatih-color-dev (>= 1.5.0~)
    ,golang-github-fatih-structs-dev
    ,golang-github-fsnotify-fsnotify-dev
    ,golang-github-fsouza-go-dockerclient-dev (>= 1.4.4~)
    ,golang-github-go-ini-ini-dev
    ,golang-github-golang-snappy-dev
    ,golang-github-googleapis-gax-go-dev
    ,golang-github-google-go-cmp-dev
    ,golang-github-gophercloud-gophercloud-dev
    ,golang-github-gorhill-cronexpr-dev (>= 1.0.0+git20180427~)
    ,golang-github-gorilla-websocket-dev
    ,golang-github-hashicorp-consul-dev (>= 1.7.0~)
    ,golang-github-hashicorp-errwrap-dev
    ,golang-github-hashicorp-go-checkpoint-dev (>= 0.0~git20170624~)
    ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
    ,golang-github-hashicorp-go-discover-dev
    ,golang-github-hashicorp-go-getter-dev (>= 1.4.0~)
    ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
    ,golang-github-hashicorp-go-immutable-radix-dev (>= 0.0~git20170725~)
#   ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
    ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160813~)
    ,golang-github-hashicorp-go-memdb-dev
    ,golang-github-hashicorp-go-multierror-dev
    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
    ,golang-github-hashicorp-go-retryablehttp-dev (>= 0.6.2~)
    ,golang-github-hashicorp-go-rootcerts-dev
    ,golang-github-hashicorp-go-sockaddr-dev
    ,golang-github-hashicorp-go-syslog-dev
    ,golang-github-hashicorp-go-uuid-dev
    ,golang-github-hashicorp-go-version-dev
    ,golang-github-hashicorp-hcl-dev (>= 0.0~git20170509~)
    ,golang-github-hashicorp-logutils-dev
    ,golang-github-hashicorp-memberlist-dev
    ,golang-github-hashicorp-net-rpc-msgpackrpc-dev (>= 0.0~git20151116~)
    ,golang-github-hashicorp-raft-boltdb-dev
    ,golang-github-hashicorp-raft-dev (>= 1.0.0+git20180118~)
    ,golang-github-hashicorp-scada-client-dev (>= 0.0~git20160601~)
    ,golang-github-hashicorp-serf-dev (>= 0.8.1+git20180508~)
    ,golang-github-hashicorp-yamux-dev (>= 0.0+git20190923~)
    ,golang-github-influxdata-tail-dev (>= 1.0.0+git20180327.c434825-2~) | golang-github-hpcloud-tail-dev
    ,golang-github-jmespath-go-jmespath-dev
    ,golang-github-kr-pretty-dev
    ,golang-github-kr-pty-dev
    ,golang-github-kr-text-dev
    ,golang-github-lk4d4-joincontext-dev
    ,golang-github-mattn-go-colorable-dev
    ,golang-github-mattn-go-isatty-dev (>= 0.0.3~)
    ,golang-github-mattn-go-shellwords-dev
    ,golang-github-mitchellh-cli-dev (>= 1.0.0~)
    ,golang-github-mitchellh-colorstring-dev
    ,golang-github-mitchellh-copystructure-dev
    ,golang-github-mitchellh-go-homedir-dev
    ,golang-github-mitchellh-go-ps-dev
    ,golang-github-mitchellh-go-testing-interface-dev
    ,golang-github-mitchellh-go-wordwrap-dev
    ,golang-github-mitchellh-hashstructure-dev
    ,golang-github-mitchellh-mapstructure-dev
    ,golang-github-mitchellh-reflectwalk-dev
    ,golang-github-mrunalp-fileutils-dev
    ,golang-github-nytimes-gziphandler-dev (>= 1.0.1~)
    ,golang-github-opencontainers-go-digest-dev
    ,golang-github-opencontainers-image-spec-dev
    ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~)
    ,golang-github-pkg-errors-dev
    ,golang-github-pmezard-go-difflib-dev
    ,golang-github-posener-complete-dev
    ,golang-github-prometheus-client-golang-dev
    ,golang-github-prometheus-client-model-dev
    ,golang-github-prometheus-common-dev
    ,golang-github-racksec-srslog-dev
    ,golang-github-rs-cors-dev
    ,golang-github-ryanuber-columnize-dev (>= 2.1.1~)
    ,golang-github-ryanuber-go-glob-dev
    ,golang-github-shirou-gopsutil-dev (>= 2.18.02~)
    ,golang-github-sirupsen-logrus-dev (>= 1.0.2~)
    ,golang-github-skratchdot-open-golang-dev
    ,golang-github-spf13-pflag-dev
    ,golang-github-stretchr-objx-dev
    ,golang-github-stretchr-testify-dev
    ,golang-github-ugorji-go-codec-dev (>= 1.1.7~) ,golang-github-ugorji-go-codec (>= 1.1.7~)
    ,golang-github-zclconf-go-cty-dev
#    ,golang-go4-dev
    ,golang-gocapability-dev
    ,golang-golang-x-crypto-dev
    ,golang-golang-x-net-dev
    ,golang-golang-x-oauth2-dev
    ,golang-golang-x-sync-dev
    ,golang-golang-x-sys-dev
    ,golang-golang-x-text-dev
    ,golang-golang-x-time-dev
    ,golang-golang-x-tools-dev
    ,golang-gomega-dev
    ,golang-google-cloud-dev
    ,golang-google-grpc-dev (>= 1.22.1~)
    ,golang-go.opencensus-dev
    ,golang-gopkg-inf.v0-dev
    ,golang-gopkg-tomb.v1-dev
    ,golang-gopkg-tomb.v2-dev
    ,golang-gopkg-yaml.v2-dev
    ,golang-goprotobuf-dev | golang-github-golang-protobuf-dev
    ,golang-procfs-dev
    ,golang-protobuf-extensions-dev | golang-github-matttproud-protobuf-extensions-dev
# bugfix/golang-google-cloud-dev=0.43.0-1:
    ,golang-google-api-dev (>= 0.7.0~)
# tests:
    ,consul (>= 1.7.0~)
    ,tzdata
Homepage: https://github.com/hashicorp/nomad
Vcs-Browser: https://salsa.debian.org/go-team/packages/nomad
Vcs-Git: https://salsa.debian.org/go-team/packages/nomad.git
XS-Go-Import-Path: github.com/hashicorp/nomad

Package: nomad
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
    ,pipexec
    ,procps
Recommends: ${misc:Recommends}
    ,containernetworking-plugins
    ,ethtool
Suggests: ${misc:Suggests}
    ,consul
# driver-java:
    ,default-jre
# driver-qemu:
    ,qemu-kvm | qemu-system-x86
# driver-rkt:
    ,rkt
# pluggable drivers:
    ,nomad-driver-lxc
    ,nomad-driver-podman
    ,nomad-driver-singularity
Description: distributed, highly available, datacenter-aware scheduler
 Nomad is a cluster manager, designed for both long lived services and
 short lived batch processing workloads. Developers use a declarative job
 specification to submit work, and Nomad ensures constraints are satisfied
 and resource utilization is optimized by efficient task packing. Nomad
 supports all major operating systems and virtualized, containerized,
 or standalone applications.
 The key features of Nomad are:
 .
  * Docker Support: Jobs can specify tasks which are Docker containers.
  Nomad will automatically run the containers on clients which have Docker
  installed, scale up and down based on the number of instances request,
  and automatically recover from failures.
 .
  * Multi-Datacenter and Multi-Region Aware: Nomad is designed to be a
  global-scale scheduler. Multiple datacenters can be managed as part of a
  larger region, and jobs can be scheduled across datacenters if requested.
  Multiple regions join together and federate jobs making it easy to run
  jobs anywhere.
 .
  * Operationally Simple:
  Nomad runs as a single binary that can be either a client or server, and
  is completely self contained. Nomad does not require any external
  services for storage or coordination. This means Nomad combines the
  features of a resource manager and scheduler in a single system.
 .
  * Distributed and Highly-Available: Nomad servers cluster together and
  perform leader election and state replication to provide high
  availability in the face of failure. The Nomad scheduling engine is
  optimized for optimistic concurrency allowing all servers to make
  scheduling decisions to maximize throughput.
 .
  * HashiCorp Ecosystem: Nomad integrates with the entire HashiCorp
  ecosystem of tools. Along with all HashiCorp tools, Nomad is designed in
  the unix philosophy of doing something specific and doing it well.  Nomad
  integrates with tools like Packer, Consul, and Terraform to support
  building artifacts, service discovery, monitoring and capacity
  management.

Package: golang-github-hashicorp-nomad-dev
Architecture: all
Depends: ${misc:Depends}
    ,golang-github-armon-circbuf-dev
    ,golang-github-armon-go-metrics-dev (>= 0.0~git20190430~)
    ,golang-github-boltdb-bolt-dev (>= 1.3.1~)
    ,golang-github-coreos-go-semver-dev
    ,golang-github-docker-go-units-dev
    ,golang-github-golang-snappy-dev
    ,golang-github-gorhill-cronexpr-dev (>= 1.0.0+git20180427~)
    ,golang-github-gorilla-websocket-dev
    ,golang-github-hashicorp-consul-dev (>= 1.7.0~)
    ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
    ,golang-github-hashicorp-go-getter-dev (>= 1.4.0~)
    ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
    ,golang-github-hashicorp-go-immutable-radix-dev (>= 0.0~git20170725~)
    ,golang-github-hashicorp-go-memdb-dev
    ,golang-github-hashicorp-go-multierror-dev
    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
    ,golang-github-hashicorp-go-rootcerts-dev
    ,golang-github-hashicorp-go-uuid-dev
    ,golang-github-hashicorp-hcl-dev (>= 0.0~git20170509~)
    ,golang-github-hashicorp-net-rpc-msgpackrpc-dev (>= 0.0~git20151116~)
    ,golang-github-hashicorp-raft-dev (>= 1.0.0+git20180118~)
    ,golang-github-hashicorp-serf-dev (>= 0.8.1+git20180508~)
    ,golang-github-hashicorp-yamux-dev (>= 0.0+git20190923~)
    ,golang-github-influxdata-tail-dev (>= 1.0.0+git20180327.c434825-2~) | golang-github-hpcloud-tail-dev
    ,golang-github-kr-pretty-dev
    ,golang-github-kr-pty-dev
    ,golang-github-lk4d4-joincontext-dev
    ,golang-github-mitchellh-copystructure-dev
    ,golang-github-mitchellh-go-testing-interface-dev
    ,golang-github-mitchellh-hashstructure-dev
    ,golang-github-mitchellh-mapstructure-dev
    ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~)
    ,golang-github-pkg-errors-dev
    ,golang-github-ryanuber-go-glob-dev
    ,golang-github-shirou-gopsutil-dev (>= 2.18.02~)
    ,golang-github-stretchr-testify-dev
    ,golang-github-ugorji-go-codec-dev ,golang-github-ugorji-go-codec
    ,golang-github-zclconf-go-cty-dev
    ,golang-golang-x-crypto-dev
    ,golang-golang-x-net-dev
    ,golang-golang-x-sys-dev
    ,golang-golang-x-time-dev
    ,golang-google-grpc-dev (>= 1.22.1~)
    ,golang-gopkg-tomb.v1-dev
    ,golang-goprotobuf-dev | golang-github-golang-protobuf-dev
# hcl2:
    ,golang-github-agext-levenshtein-dev
    ,golang-github-mitchellh-go-wordwrap-dev
Suggests: ${misc:Suggests}
# Docker:
    ,golang-github-docker-docker-dev (>= 17.12.1~)
#     ,golang-github-docker-distribution-dev (>= 2.7.1~)
    ,golang-github-fsouza-go-dockerclient-dev (>= 1.4.4~)
# rkt:
    ,golang-github-appc-spec-dev
Description: Nomad development libraries
 Nomad interface for development of add-on drivers.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOLANG_GO_GENERATE := 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_GOLANG_EXCLUDES := demo e2e internal/testing/apitests
export DH_GOLANG_INSTALL_EXTRA = \
    drivers/docker/test-resources \
    drivers/java/test-resources \
    command/agent/test-resources \
    jobspec/test-fixtures \
    nomad/structs/generate.sh

ifneq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
    MINUS:=-
endif

GOTAGS:= release ui nonvidia

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
	-find vendor -mindepth 1 -type d -empty -delete -printf 'removed %p\n'
	-find . -type f -name '*.pb.go' -delete -printf 'removed %p\n'            ## delete generated .pb.go files

#	Some vendored components (hashicorp/go-msgpack, github.com/ugorji/go) have un-generateable files.
#	-find . -type f -name '*.generated.go' -delete -printf 'removed %p\n'     ## delete .generated.go files

override_dh_auto_configure:
	dh_auto_configure
	
####    Build and install "codecgen" for temporary use:
	export DH_GOPKG="github.com/hashicorp/nomad/vendor/github.com/ugorji/go/codec" \
	&& dh_auto_build -v \
	&& dh_auto_install -v -- --no-source

override_dh_auto_build:
	export GOPATH=$(CURDIR)/_build \
	&& $(MAKE) -C _build/src/github.com/hashicorp/nomad --makefile=$(CURDIR)/GNUmakefile proto
	
####    Setting PATH so custom "codegen" could be found.
	PATH="$(CURDIR)/_build/bin:$$PATH" \
	dh_auto_build -v -- -a -tags "$(GOTAGS)"

override_dh_auto_test:
	$(MINUS)PATH="$(CURDIR)/_build/bin:$$PATH" \
        DH_GOLANG_EXCLUDES="${DH_GOLANG_EXCLUDES} client api command devices/gpu drivers/docker drivers/shared nomad/deploymentwatcher" \
        skipOnlineTestsEnvVar=1 \
        dh_auto_test -v --max-parallel=3 -- -short -failfast -timeout 7m -tags "$(GOTAGS)"

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install -XLICENSE

override_dh_installinit:
	dh_installinit --no-start

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

## nomad 0.10.9+dfsg1

=== debian/changelog ===
nomad (0.10.9+dfsg1-1) unstable; urgency=medium

  [ Arnaud Rebillout ]
  * New upstream release (Closes: #973166, #972795, #976593).
  * Vendor mitchellh-go-testing-interface-dev
  * Vendor hashicorp-go-plugin-dev
  * New patch to build against consul 1.8

  * lintian: Drop source-contains-empty-directory (see #907727)

  [ Dmitry Smirnov ]
  * Tightened Consul dependency version (>= 1.8.6~).

 -- Arnaud Rebillout <elboulangero@gmail.com>  Mon, 07 Dec 2020 12:02:25 +0700

=== debian/control ===
--- 
+++ 
@@ -48,7 +48,7 @@
     ,golang-github-gophercloud-gophercloud-dev
     ,golang-github-gorhill-cronexpr-dev (>= 1.0.0+git20180427~)
     ,golang-github-gorilla-websocket-dev
-    ,golang-github-hashicorp-consul-dev (>= 1.7.0~)
+    ,golang-github-hashicorp-consul-dev (>= 1.8.6~)
     ,golang-github-hashicorp-errwrap-dev
     ,golang-github-hashicorp-go-checkpoint-dev (>= 0.0~git20170624~)
     ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
@@ -60,7 +60,7 @@
     ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160813~)
     ,golang-github-hashicorp-go-memdb-dev
     ,golang-github-hashicorp-go-multierror-dev
-    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
+#    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-go-retryablehttp-dev (>= 0.6.2~)
     ,golang-github-hashicorp-go-rootcerts-dev
     ,golang-github-hashicorp-go-sockaddr-dev
@@ -90,7 +90,7 @@
     ,golang-github-mitchellh-copystructure-dev
     ,golang-github-mitchellh-go-homedir-dev
     ,golang-github-mitchellh-go-ps-dev
-    ,golang-github-mitchellh-go-testing-interface-dev
+#    ,golang-github-mitchellh-go-testing-interface-dev
     ,golang-github-mitchellh-go-wordwrap-dev
     ,golang-github-mitchellh-hashstructure-dev
     ,golang-github-mitchellh-mapstructure-dev
@@ -142,7 +142,7 @@
 # bugfix/golang-google-cloud-dev=0.43.0-1:
     ,golang-google-api-dev (>= 0.7.0~)
 # tests:
-    ,consul (>= 1.7.0~)
+    ,consul (>= 1.8.6~)
     ,tzdata
 Homepage: https://github.com/hashicorp/nomad
 Vcs-Browser: https://salsa.debian.org/go-team/packages/nomad
@@ -228,7 +228,7 @@
     ,golang-github-hashicorp-go-immutable-radix-dev (>= 0.0~git20170725~)
     ,golang-github-hashicorp-go-memdb-dev
     ,golang-github-hashicorp-go-multierror-dev
-    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
+#    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-go-rootcerts-dev
     ,golang-github-hashicorp-go-uuid-dev
     ,golang-github-hashicorp-hcl-dev (>= 0.0~git20170509~)
@@ -241,7 +241,7 @@
     ,golang-github-kr-pty-dev
     ,golang-github-lk4d4-joincontext-dev
     ,golang-github-mitchellh-copystructure-dev
-    ,golang-github-mitchellh-go-testing-interface-dev
+#    ,golang-github-mitchellh-go-testing-interface-dev
     ,golang-github-mitchellh-hashstructure-dev
     ,golang-github-mitchellh-mapstructure-dev
     ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~)

## nomad 0.12.9+dfsg1

=== .circleci/Makefile ===
# Set SHELL to 'strict mode' without using .SHELLFLAGS for max compatibility.
# See https://fieldnotes.tech/how-to-shell-for-compatible-makefiles/
SHELL := /usr/bin/env bash -euo pipefail -c

CIRCLECI := circleci --skip-update-check

# Set up some documentation/help message variables.
# We do not attempt to install the CircleCI CLI from this Makefile.
CCI_INSTALL_LINK := https://circleci.com/docs/2.0/local-cli/\#installation
CCI_INSTALL_MSG := Please install CircleCI CLI. See $(CCI_INSTALL_LINK)
CCI_VERSION := $(shell $(CIRCLECI) version 2> /dev/null)
ifeq ($(CCI_VERSION),)
# Attempting to use the CLI fails with installation instructions.
CIRCLECI := echo '$(CCI_INSTALL_MSG)'; exit 1; \#
endif

SOURCE_DIR     := config
SOURCE_YML     := $(shell [ ! -d $(SOURCE_DIR) ] || find $(SOURCE_DIR) -name '*.yml')
CONFIG_SOURCE  := Makefile $(SOURCE_YML) | $(SOURCE_DIR)
OUT            := config.yml
TMP            := .tmp/config-processed
CONFIG_PACKED  := .tmp/config-packed

default: help

help:
	@echo "Usage:"
	@echo "  make ci-config: recompile config.yml from $(SOURCE_DIR)/"
	@echo "  make ci-verify: verify that config.yml is a true mapping from $(SOURCE_DIR)/"
	@echo
	@echo "Diagnostics:"
	@[ -z "$(CCI_VERSION)" ] || echo "  circleci-cli version $(CCI_VERSION)"
	@[ -n "$(CCI_VERSION)" ] || echo "  $(CCI_INSTALL_MSG)"

$(SOURCE_DIR):
	@echo No source directory $(SOURCE_DIR) found.; exit 1

# Make sure our .tmp dir exists.
$(shell [ -d .tmp ] || mkdir .tmp)

.PHONY: ci-config
ci-config: $(OUT)

.PHONY: ci-verify
ci-verify: config-up-to-date
	@$(CIRCLECI) config validate $(OUT)

define GENERATED_FILE_HEADER
### ***
### WARNING: DO NOT manually EDIT or MERGE this file, it is generated by 'make ci-config'.
### INSTEAD: Edit or merge the source in $(SOURCE_DIR)/ then run 'make ci-config'.
### ***
endef
export GENERATED_FILE_HEADER

# GEN_CONFIG writes the config to a temporary file. If the whole process succeeds,
# it then moves that file to $@. This makes is an atomic operation, so if it fails
# make doesn't consider a half-baked file up to date.
define GEN_CONFIG
	@$(CIRCLECI) config pack $(SOURCE_DIR) > $(CONFIG_PACKED)
	@echo "$$GENERATED_FILE_HEADER" > $@.tmp || { rm -f $@; exit 1; }
	@$(CIRCLECI) config process $(CONFIG_PACKED) >> $@.tmp || { rm -f $@.tmp; exit 1; }
	@mv -f $@.tmp $@
endef

$(OUT): $(CONFIG_SOURCE)
	$(GEN_CONFIG)
	@echo "$@ updated"

$(TMP): $(CONFIG_SOURCE)
	$(GEN_CONFIG)

.PHONY: config-up-to-date
config-up-to-date: $(TMP) # Note this must not depend on $(OUT)!
	@if diff config.yml $<; then \
		echo "Generated $(OUT) is up to date!"; \
	else \
		echo "Generated $(OUT) is out of date, run make $(CONFIG) to update."; \
		exit 1; \
	fi

=== debian/changelog ===
nomad (0.12.9+dfsg1-2) unstable; urgency=medium

  * dev:Depends (Closes: #980168):
    + golang-github-grpc-ecosystem-go-grpc-middleware-dev
    + golang-github-docker-docker-dev (>= 20.10.0~)

    Thanks, Shengjing Zhu.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 25 Jan 2021 14:03:27 +1100

nomad (0.12.9+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depends:
    + golang-github-pierrec-lz4-dev
    + golang-gopkg-square-go-jose.v2-dev

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 11 Jan 2021 20:53:58 +1100

nomad (0.10.9+dfsg1-2) unstable; urgency=medium

  * hashicorp-go-plugin-dev MUST be a dep of nomad
  * Tightened Consul dependency version (>= 1.8.6~) (again)
  * Adjust sections, nomad -> admin, nomad-dev -> golang
  * Skip a test that requires Vault

 -- Arnaud Rebillout <elboulangero@gmail.com>  Wed, 16 Dec 2020 11:15:44 +0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: nomad
-Section: devel
+Section: admin
 Priority: optional
 Standards-Version: 4.5.0
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
@@ -31,7 +31,7 @@
     ,golang-github-datadog-datadog-go-dev
     ,golang-github-davecgh-go-spew-dev
     ,golang-github-denverdino-aliyungo-dev
-    ,golang-github-docker-docker-dev (>= 17.12.1~)
+    ,golang-github-docker-docker-dev (>= 20.10.0~)
 #     ,golang-github-docker-distribution-dev (>= 2.7.1~)
     ,golang-github-docker-go-connections-dev
     ,golang-github-docker-go-units-dev
@@ -48,6 +48,7 @@
     ,golang-github-gophercloud-gophercloud-dev
     ,golang-github-gorhill-cronexpr-dev (>= 1.0.0+git20180427~)
     ,golang-github-gorilla-websocket-dev
+    ,golang-github-grpc-ecosystem-go-grpc-middleware-dev
     ,golang-github-hashicorp-consul-dev (>= 1.8.6~)
     ,golang-github-hashicorp-errwrap-dev
     ,golang-github-hashicorp-go-checkpoint-dev (>= 0.0~git20170624~)
@@ -56,11 +57,13 @@
     ,golang-github-hashicorp-go-getter-dev (>= 1.4.0~)
     ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
     ,golang-github-hashicorp-go-immutable-radix-dev (>= 0.0~git20170725~)
-#   ,golang-github-hashicorp-go-msgpack-dev (>= 0.5.5~)
+#   ,golang-github-hashicorp-go-msgpack-dev (>= 1.1.5~)
     ,golang-github-hashicorp-golang-lru-dev (>= 0.0~git20160813~)
     ,golang-github-hashicorp-go-memdb-dev
     ,golang-github-hashicorp-go-multierror-dev
-#    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
+# We MUST depend on go-plugin-dev, even though we use a vendor copy to build.
+# Otherwise we miss its dependencies.
+    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-go-retryablehttp-dev (>= 0.6.2~)
     ,golang-github-hashicorp-go-rootcerts-dev
     ,golang-github-hashicorp-go-sockaddr-dev
@@ -90,7 +93,7 @@
     ,golang-github-mitchellh-copystructure-dev
     ,golang-github-mitchellh-go-homedir-dev
     ,golang-github-mitchellh-go-ps-dev
-#    ,golang-github-mitchellh-go-testing-interface-dev
+    ,golang-github-mitchellh-go-testing-interface-dev
     ,golang-github-mitchellh-go-wordwrap-dev
     ,golang-github-mitchellh-hashstructure-dev
     ,golang-github-mitchellh-mapstructure-dev
@@ -101,6 +104,7 @@
     ,golang-github-opencontainers-image-spec-dev
     ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~)
     ,golang-github-pkg-errors-dev
+    ,golang-github-pierrec-lz4-dev
     ,golang-github-pmezard-go-difflib-dev
     ,golang-github-posener-complete-dev
     ,golang-github-prometheus-client-golang-dev
@@ -133,6 +137,7 @@
     ,golang-google-grpc-dev (>= 1.22.1~)
     ,golang-go.opencensus-dev
     ,golang-gopkg-inf.v0-dev
+    ,golang-gopkg-square-go-jose.v2-dev
     ,golang-gopkg-tomb.v1-dev
     ,golang-gopkg-tomb.v2-dev
     ,golang-gopkg-yaml.v2-dev
@@ -165,8 +170,6 @@
     ,default-jre
 # driver-qemu:
     ,qemu-kvm | qemu-system-x86
-# driver-rkt:
-    ,rkt
 # pluggable drivers:
     ,nomad-driver-lxc
     ,nomad-driver-podman
@@ -211,24 +214,29 @@
   management.
 
 Package: golang-github-hashicorp-nomad-dev
+Section: golang
 Architecture: all
 Depends: ${misc:Depends}
     ,golang-github-armon-circbuf-dev
     ,golang-github-armon-go-metrics-dev (>= 0.0~git20190430~)
     ,golang-github-boltdb-bolt-dev (>= 1.3.1~)
     ,golang-github-coreos-go-semver-dev
+    ,golang-github-docker-docker-dev (>= 20.10.0~)
     ,golang-github-docker-go-units-dev
     ,golang-github-golang-snappy-dev
     ,golang-github-gorhill-cronexpr-dev (>= 1.0.0+git20180427~)
     ,golang-github-gorilla-websocket-dev
-    ,golang-github-hashicorp-consul-dev (>= 1.7.0~)
+    ,golang-github-grpc-ecosystem-go-grpc-middleware-dev
+    ,golang-github-hashicorp-consul-dev (>= 1.8.6~)
     ,golang-github-hashicorp-go-cleanhttp-dev (>= 0.5.1~)
     ,golang-github-hashicorp-go-getter-dev (>= 1.4.0~)
     ,golang-github-hashicorp-go-hclog-dev (>= 0.9.2~)
     ,golang-github-hashicorp-go-immutable-radix-dev (>= 0.0~git20170725~)
     ,golang-github-hashicorp-go-memdb-dev
     ,golang-github-hashicorp-go-multierror-dev
-#    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
+# We MUST depend on go-plugin-dev, even though we use a vendor copy to build.
+# Otherwise we break reverse build-deps.
+    ,golang-github-hashicorp-go-plugin-dev (>= 1.0.1~)
     ,golang-github-hashicorp-go-rootcerts-dev
     ,golang-github-hashicorp-go-uuid-dev
     ,golang-github-hashicorp-hcl-dev (>= 0.0~git20170509~)
@@ -241,10 +249,11 @@
     ,golang-github-kr-pty-dev
     ,golang-github-lk4d4-joincontext-dev
     ,golang-github-mitchellh-copystructure-dev
-#    ,golang-github-mitchellh-go-testing-interface-dev
+    ,golang-github-mitchellh-go-testing-interface-dev
     ,golang-github-mitchellh-hashstructure-dev
     ,golang-github-mitchellh-mapstructure-dev
     ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~)
+    ,golang-github-pierrec-lz4-dev
     ,golang-github-pkg-errors-dev
     ,golang-github-ryanuber-go-glob-dev
     ,golang-github-shirou-gopsutil-dev (>= 2.18.02~)
@@ -257,16 +266,3 @@
     ,golang-golang-x-time-dev
     ,golang-google-grpc-dev (>= 1.22.1~)
     ,golang-gopkg-tomb.v1-dev
-    ,golang-goprotobuf-dev | golang-github-golang-protobuf-dev
-# hcl2:
-    ,golang-github-agext-levenshtein-dev
-    ,golang-github-mitchellh-go-wordwrap-dev
-Suggests: ${misc:Suggests}
-# Docker:
-    ,golang-github-docker-docker-dev (>= 17.12.1~)
-#     ,golang-github-docker-distribution-dev (>= 2.7.1~)
-    ,golang-github-fsouza-go-dockerclient-dev (>= 1.4.4~)
-# rkt:
-    ,golang-github-appc-spec-dev
-Description: Nomad development libraries
- Nomad interface for development of add-on drivers.

## nomad 0.12.10%2Bdfsg1

=== debian/changelog ===
nomad (0.12.10+dfsg1-2) unstable; urgency=medium

  * Disabled "TestConfig_outgoingWrapper_OK" (Closes: #987644).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 09 May 2021 17:14:36 +1000

nomad (0.12.10+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    + CVE-2021-3283: exec-based drivers to run tasks in private PID/IPC
      namespaces (Closes: #981889).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 05 Feb 2021 16:14:14 +1100

nomad (0.12.9+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix build with runc rc93

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 04 Feb 2021 11:14:07 +0800

## nomad 0.12.10+dfsg1

=== website/Makefile ===
# Default: run this if working on the website locally to run in watch mode.
website:
	@echo "==> Downloading latest Docker image..."
	@docker pull hashicorp/nomad-website
	@echo "==> Starting website in Docker..."
	@docker run \
		--interactive \
		--rm \
		--tty \
		--workdir "/website" \
		--volume "$(shell pwd):/website" \
		--volume "/website/node_modules" \
		--publish "3000:3000" \
		hashicorp/nomad-website \
		npm start

# This command will generate a static version of the website to the "out" folder.
build:
	@echo "==> Downloading latest Docker image..."
	@docker pull hashicorp/nomad-website
	@echo "==> Starting build in Docker..."
	@docker run \
		--interactive \
		--rm \
		--tty \
		--workdir "/website" \
		--volume "$(shell pwd):/website" \
		--volume "/website/node_modules" \
		hashicorp/nomad-website \
		npm run static

# If you are changing node dependencies locally, run this to generate a new
# local Docker image with the dependency changes included.
build-image:
	@echo "==> Building Docker image..."
	@docker build -t hashicorp-nomad-website-local .

# Use this if you have run `build-image` to use the locally built image
# rather than our CI-generated image to test dependency changes.
website-local:
	@echo "==> Downloading latest Docker image..."
	@docker pull hashicorp/nomad-website
	@echo "==> Starting website in Docker..."
	@docker run \
		--interactive \
		--rm \
		--tty \
		--workdir "/website" \
		--volume "$(shell pwd):/website" \
		--volume "/website/node_modules" \
		--publish "3000:3000" \
		hashicorp-nomad-website-local \
		npm start

.DEFAULT_GOAL := website
.PHONY: build build-image website website-local

=== e2e/terraform/Makefile ===
NOMAD_SHA ?= $(shell git rev-parse HEAD)
PKG_PATH = $(shell pwd)/../../pkg/linux_amd64/nomad

dev-cluster:
	terraform apply -auto-approve -var-file=terraform.tfvars.dev
	terraform output provisioning | jq . > ../provisioning.json
	cd .. && NOMAD_E2E=1 go test -v . -nomad.sha=$(NOMAD_SHA) -provision.terraform ./provisioning.json -skipTests
	terraform output message

dev-cluster-from-local:
	terraform apply -auto-approve -var-file=terraform.tfvars.dev
	terraform output provisioning | jq . > ../provisioning.json
	cd .. && NOMAD_E2E=1 go test -v . -nomad.local_file=$(PKG_PATH) -provision.terraform ./provisioning.json -skipTests
	terraform output message

clean:
	terraform destroy -auto-approve

=== terraform/gcp/Makefile ===
.PHONY: help
help: ## Print this help
help:
	@echo 'Usage: make <target>'
	@echo
	@echo -e 'Targets:'
	@egrep '^(.+)\:\ ##\ (.+)' $(MAKEFILE_LIST) | column -t -c 2 -s ':#'

.PHONY: packer/validate
packer/validate: ## Validate the HashiStack Packer configuration
	packer validate packer.json

.PHONY: packer/build
packer/build: ## Build the HashiStack image with Packer
	time packer build \
		-force \
		-timestamp-ui \
		-var="project=${GOOGLE_PROJECT}" \
		-var="credentials=${GOOGLE_APPLICATION_CREDENTIALS}" \
		packer.json

.PHONY: terraform/validate
terraform/validate: ## Validate the Terraform configuration
	cd modules/hashistack; \
	terraform init; \
	terraform validate .  

.PHONY: terraform/plan
terraform/plan: ## Run a Terraform Plan 
	cd modules/hashistack; \
	terraform init; \
	terraform plan \
		-var="project=${GOOGLE_PROJECT}" \
		-var="credentials=${GOOGLE_APPLICATION_CREDENTIALS}" 

.PHONY: terraform/apply
terraform/apply: ## Run a Terraform Apply
	cd modules/hashistack; \
	terraform init; \
	terraform apply \
		-auto-approve \
		-var="project=${GOOGLE_PROJECT}" \
		-var="credentials=${GOOGLE_APPLICATION_CREDENTIALS}" 

.PHONY: terraform/destroy
terraform/destroy: ## Plan the Terraform configuration
	cd modules/hashistack; \
	terraform init; \
	terraform destroy \
		-auto-approve \
		-var="project=${GOOGLE_PROJECT}" \
		-var="credentials=${GOOGLE_APPLICATION_CREDENTIALS}" 

.PHONY: terraform/validate/example/us-east
terraform/validate/example/us-east: ## Validate the Terraform configuration for the us-east example env 
	cd env/us-east; \
	terraform init; \
	terraform validate .  

.PHONY: terraform/plan/example/us-east
terraform/plan/example/us-east: ## Run a Terraform Plan for the us-east example env 
	cd env/us-east; \
	terraform init; \
	terraform plan -var="project=${GOOGLE_PROJECT}" -var="credentials=${GOOGLE_APPLICATION_CREDENTIALS}" 

.PHONY: terraform/apply/example/us-east
terraform/apply/example/us-east: ## Run a Terraform Apply for the us-east example env 
	cd env/us-east; \
	terraform init; \
	terraform apply \
		-auto-approve \
		-var="project=${GOOGLE_PROJECT}" \
		-var="credentials=${GOOGLE_APPLICATION_CREDENTIALS}" 

.PHONY: terraform/destroy/example/us-east
terraform/destroy/example/us-east: ## Plan the Terraform configuration for the us-east example env 
	cd env/us-east; \
	terraform init; \
	terraform destroy \
		-auto-approve \
		-var="project=${GOOGLE_PROJECT}" \
		-var="credentials=${GOOGLE_APPLICATION_CREDENTIALS}"

.PHONY: gcloud/login/server
gcloud/login/server: ## Login to a server instance using gcloud
	gcloud compute ssh hashistack-server-0

.PHONY: gcloud/login/client
gcloud/login/client: ## Login to a client instance using gcloud
	gcloud compute ssh hashistack-client-0

=== debian/changelog ===
nomad (0.12.10+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Adapt the upstream patch for CVE-2021-32575 and add it as
    the disable-cap-net-raw patch. Closes: #990581

 -- Peter Pentchev <roam@debian.org>  Sat, 10 Jul 2021 02:29:09 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Standards-Version: 4.5.0
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Uploaders: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Build-Depends: debhelper-compat (= 12) ,bash-completion ,dh-golang (>= 1.42~) ,golang-any (>= 2:1.11~)
     ,golang-dbus-dev | golang-github-godbus-dbus-dev
     ,golang-ginkgo-dev
@@ -102,7 +102,7 @@
     ,golang-github-nytimes-gziphandler-dev (>= 1.0.1~)
     ,golang-github-opencontainers-go-digest-dev
     ,golang-github-opencontainers-image-spec-dev
-    ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~)
+    ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc93~)
     ,golang-github-pkg-errors-dev
     ,golang-github-pierrec-lz4-dev
     ,golang-github-pmezard-go-difflib-dev
@@ -252,7 +252,7 @@
     ,golang-github-mitchellh-go-testing-interface-dev
     ,golang-github-mitchellh-hashstructure-dev
     ,golang-github-mitchellh-mapstructure-dev
-    ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~)
+    ,golang-github-opencontainers-runc-dev (>= 1.0.0~rc93~)
     ,golang-github-pierrec-lz4-dev
     ,golang-github-pkg-errors-dev
     ,golang-github-ryanuber-go-glob-dev

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,19 @@
 
 export DH_GOLANG_GO_GENERATE := 1
 
+export GOPROXY=off
+export GO111MODULE=off
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DH_GOLANG_EXCLUDES := demo e2e internal/testing/apitests
 export DH_GOLANG_INSTALL_EXTRA = \
+    command/agent/test-resources \
     drivers/docker/test-resources \
     drivers/java/test-resources \
-    command/agent/test-resources \
+    helper/raftutil/generate_msgtypes.sh \
     jobspec/test-fixtures \
-    nomad/structs/generate.sh
+    nomad/structs/generate.sh \
+
 
 ifneq (,$(filter $(DEB_BUILD_ARCH), mipsel mips64el))
     MINUS:=-
@@ -28,7 +33,7 @@
 	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
 	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
 	-find vendor -mindepth 1 -type d -empty -delete -printf 'removed %p\n'
-	-find . -type f -name '*.pb.go' -delete -printf 'removed %p\n'            ## delete generated .pb.go files
+	-find . -type f -name '*.pb.go' -not -name 'csi.pb.go' -delete -printf 'removed %p\n'            ## delete generated .pb.go files
 
 #	Some vendored components (hashicorp/go-msgpack, github.com/ugorji/go) have un-generateable files.
 #	-find . -type f -name '*.generated.go' -delete -printf 'removed %p\n'     ## delete .generated.go files
@@ -37,13 +42,14 @@
 	dh_auto_configure
 	
 ####    Build and install "codecgen" for temporary use:
-	export DH_GOPKG="github.com/hashicorp/nomad/vendor/github.com/ugorji/go/codec" \
-	&& dh_auto_build -v \
-	&& dh_auto_install -v -- --no-source
+#	export DH_GOPKG="github.com/hashicorp/nomad/vendor/github.com/ugorji/go/codec" \
+#	&& dh_auto_build -v \
+#	&& dh_auto_install -v -- --no-source
 
 override_dh_auto_build:
 	export GOPATH=$(CURDIR)/_build \
-	&& $(MAKE) -C _build/src/github.com/hashicorp/nomad --makefile=$(CURDIR)/GNUmakefile proto
+	&& PATH="$(CURDIR)/_build/bin:$$PATH" \
+           $(MAKE) -C _build/src/github.com/hashicorp/nomad --makefile=$(CURDIR)/GNUmakefile proto
 	
 ####    Setting PATH so custom "codegen" could be found.
 	PATH="$(CURDIR)/_build/bin:$$PATH" \

## nomad camels-1.4.3

=== requirements.txt ===
appdirs>=1.4.4
asciitree>=0.3.3
asteval>=0.9.27
asttokens>=2.0.5
attrs>=21.4.0
backcall>=0.2.0
bluesky>=1.8.3
boltons>=21.0.0
cachetools>=5.3.0
certifi>=2022.5.18.1
cloudpickle>=2.1.0
colorama>=0.4.4
cycler>=0.11.0
dask>=2023.4.0
databroker>=1.2.5
decorator>=5.1.1
doct>=1.0.5
entrypoints>=0.4
executing>=0.8.3
fastapi>=0.111.0
fasteners>=0.17.3
fonttools>=4.33.3
fsspec>=2022.5.0
future>=0.18.2
h5py>=3.7.0
HeapDict>=1.0.1
httpx
humanize>=4.1.0
idna>=3.3
imageio>=2.19.3
importlib-metadata>=6.6.0
intake>=0.6.4
ipython>=8.4.0
iso8601>=1.0.2
jedi>=0.18.1
Jinja2>=3.1.2
jsonschema>=4.6.0
kiwisolver>=1.4.2
lmfit>=1.0.3
locket>=1.0.0
MarkupSafe>=2.1.1
matplotlib>=3.5.2
mongoquery>=1.4.2
msgpack>=1.0.4
networkx>=2.8.3
numcodecs>=0.9.1
numexpr>=2.8.4
numpy>=1.22.4
ophyd>=1.6.4
packaging>=21.3
Pandas>=1.4.2
parso>=0.8.3
partd>=1.2.0
pickleshare>=0.7.5
Pillow>=9.1.1
PIMS>=0.6.1
pip>=21.1.2
Pint>=0.20.1
prettytable>=3.3.0
pyepics>=3.5.6
Pygments>=2.12.0
pyparsing>=3.0.9
pyqtgraph>=0.13.1
PySide6>=6.5.1
pyserial>=3.5
python-dateutil>=2.8.2
pymongo>=4.1.1
pyrsistent>=0.18.1
PyYAML>=6.0
pyvisa>=1.13.0
pyvisa-py>=0.7.0
qt-material>=2.12
QtPy>=2.1.0
requests>=2.28.0
scipy>=1.10.1
setuptools>=57.0.0
six>=1.16.0
slicerator>=1.1.0
suitcase-nomad-camels-hdf5>=0.3.1
tables>=3.7.0
tifffile>=2022.5.4
toolz>=0.11.2
tqdm>=4.64.0
traitlets>=5.3.0
tzlocal>=4.2
uncertainties>=3.1.7
urllib3>=1.26.9
uvicorn>=0.30.1
wcwidth>=0.2.5
wheel>=0.36.2
xarray>=2022.3.0
zarr>=2.11.3
zict>=2.2.0
